Name:		eviacam
Version:	1.1
Release:	2%{?dist}
Summary:	A mouse cursor emulator tracking the users eye movement through a webcam

Group:		Applications/System
License:	GPLv3+
URL:		http://sourceforge.net/projects/eviacam/
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/%{name}_%{version}.orig.tar.gz
#The upstream desktop file doesn't validate, contacted upstream
Patch0:		http://julian.fedorapeople.org/eviacam/eviacam.desktop
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	opencv-devel, wxGTK-devel, libXtst-devel, libXext-devel, gettext desktop-file-utils chrpath

%description
eViacam tracks the users eye movement and moves the mouse cursor
accordingly. It provides a GTK user interface and works with every
working webcam.

%prep
%setup -q
#This helps against the weird file permissions
find . -name "*.cpp" -exec chmod 644 {} \;
find . -name "*.h" -exec chmod 644 {} \;
find . -name "*.xpm" -exec chmod 644 {} \;
for file in README COPYING AUTHORS ChangeLog COPYING INSTALL README.ca THANKS TODO; do
 chmod 644 $file
done

%build
%configure --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{PATCH0}


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO THANKS README README.ca
%{_bindir}/eviacam
%{_datadir}/applications/eviacam.desktop
%{_datadir}/pixmaps/eviacam.xpm
%{_datadir}/%{name}


%changelog
* Wed Jul 15 2009 Julian Aloofi <julian at, fedoraproject.org> 1.1-2
- fixed the weird file permissions
* Tue Jul 14 2009 Julian Aloofi <julian at, fedoraproject.org> 1.1-1
- Initial package
- some crazy file permissions
